MagickCore: composite.h File Reference

# composite.h File Reference

Go to the source code of this file.

## Enumerations
enum | CompositeOperator { UndefinedCompositeOp, NoCompositeOp, AddCompositeOp, AtopCompositeOp, BlendCompositeOp, BumpmapCompositeOp, ChangeMaskCompositeOp, ClearCompositeOp, ColorBurnCompositeOp, ColorDodgeCompositeOp, ColorizeCompositeOp, CopyBlackCompositeOp, CopyBlueCompositeOp, CopyCompositeOp, CopyCyanCompositeOp, CopyGreenCompositeOp, CopyMagentaCompositeOp, CopyOpacityCompositeOp, CopyRedCompositeOp, CopyYellowCompositeOp, DarkenCompositeOp, DstAtopCompositeOp, DstCompositeOp, DstInCompositeOp, DstOutCompositeOp, DstOverCompositeOp, DifferenceCompositeOp, DisplaceCompositeOp, DissolveCompositeOp, ExclusionCompositeOp, HardLightCompositeOp, HueCompositeOp, InCompositeOp, LightenCompositeOp, LinearLightCompositeOp, LuminizeCompositeOp, MinusCompositeOp, ModulateCompositeOp, MultiplyCompositeOp, OutCompositeOp, OverCompositeOp, OverlayCompositeOp, PlusCompositeOp, ReplaceCompositeOp, SaturateCompositeOp, ScreenCompositeOp, SoftLightCompositeOp, SrcAtopCompositeOp, SrcCompositeOp, SrcInCompositeOp, SrcOutCompositeOp, SrcOverCompositeOp, SubtractCompositeOp, ThresholdCompositeOp, XorCompositeOp, DivideCompositeOp }
## Functions
MagickExport MagickBooleanType | CompositeImage (Image *, const CompositeOperator, const Image *, const long, const long)
MagickExport MagickBooleanType | CompositeImageChannel (Image *, const ChannelType, const CompositeOperator, const Image *, const long, const long)

## Enumeration Type Documentation

enum CompositeOperator

Enumerator:

  UndefinedCompositeOp |
  NoCompositeOp |
  AddCompositeOp |
  AtopCompositeOp |
  BlendCompositeOp |
  BumpmapCompositeOp |
  ChangeMaskCompositeOp |
  ClearCompositeOp |
  ColorBurnCompositeOp |
  ColorDodgeCompositeOp |
  ColorizeCompositeOp |
  CopyBlackCompositeOp |
  CopyBlueCompositeOp |
  CopyCompositeOp |
  CopyCyanCompositeOp |
  CopyGreenCompositeOp |
  CopyMagentaCompositeOp |
  CopyOpacityCompositeOp |
  CopyRedCompositeOp |
  CopyYellowCompositeOp |
  DarkenCompositeOp |
  DstAtopCompositeOp |
  DstCompositeOp |
  DstInCompositeOp |
  DstOutCompositeOp |
  DstOverCompositeOp |
  DifferenceCompositeOp |
  DisplaceCompositeOp |
  DissolveCompositeOp |
  ExclusionCompositeOp |
  HardLightCompositeOp |
  HueCompositeOp |
  InCompositeOp |
  LightenCompositeOp |
  LinearLightCompositeOp |
  LuminizeCompositeOp |
  MinusCompositeOp |
  ModulateCompositeOp |
  MultiplyCompositeOp |
  OutCompositeOp |
  OverCompositeOp |
  OverlayCompositeOp |
  PlusCompositeOp |
  ReplaceCompositeOp |
  SaturateCompositeOp |
  ScreenCompositeOp |
  SoftLightCompositeOp |
  SrcAtopCompositeOp |
  SrcCompositeOp |
  SrcInCompositeOp |
  SrcOutCompositeOp |
  SrcOverCompositeOp |
  SubtractCompositeOp |
  ThresholdCompositeOp |
  XorCompositeOp |
  DivideCompositeOp |

## Function Documentation

MagickExport MagickBooleanType CompositeImage | ( | Image * | ,
|  | const | CompositeOperator,
|  | const Image * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

MagickExport MagickBooleanType CompositeImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | CompositeOperator,
|  | const Image * | ,
|  | const | long,
|  | const | long |
| ) |  |  |